Bug 858109 - Copy Trans is reusing translations from different projects.
Copy Trans is reusing translations from different projects.
Product: Zanata
Classification: Community
Component: Component-Logic, Component-UI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.7
Assigned To: Carlos Munoz
Ding-Yi Chen
Depends On:
  Show dependency treegraph
Reported: 2012-09-17 21:50 EDT by Carlos Munoz
Modified: 2012-11-29 18:29 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.7.4-SNAPSHOT (20120921-0008)
Doc Type: Bug Fix
Doc Text:
Cause: The new implementation of the manual Copy Trans feature reuses translations from different projects, which differs from the original implementation in previous releases. Consequence: Copy Trans will reuse translations from different projects. This might not be the desired result in some cases. Fix: Added a Copy Trans options which lets the user decide what to do when a translation from a different project is a reuse candidate. Result: Users can now reuse, reject, or reuse and mark the translation as fuzzy when said translation is on a different project. By default, translations on different projects will be reused as fuzzy.
Story Points: ---
Clone Of:
Last Closed: 2012-11-29 18:29:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-09-17 21:50:24 EDT
Description of problem:
Copy trans reuses translations from different projects, which differs from its previous functionality which only copied translations from the same project.

Version-Release number of selected component (if applicable):
1.7.0 - 1.7.3

How reproducible:

Steps to Reproduce:
1. Log in and create a new project and iteration.
2. Upload the same documents as found in any other project iteration. Do not enable copy trans when uploading. These documents must have several translations.
3. Run a manual copy trans from the new iteration's home page.
Actual results:
Copy Trans will reuse translations from the existing project, regardless of the fact that they lie in a different project.

Expected results:
Copy Trans should behave as in previous releases where it would only copy translations from previous iterations of the same project.

Additional info:
An option should be given on the GUI which allows the user to select whether translations from other projects should be reused, rejected or reused as fuzzy.
Comment 1 Carlos Munoz 2012-09-18 01:29:19 EDT
Added an option in copy trans to indicate the action to take when encountering a translation for a different project.

The default value when finding a translation for a different project is "Downgrade to Fuzzy".


Comment 2 Ding-Yi Chen 2012-09-20 23:49:46 EDT
VERIFIED with Zanata version 1.7.4-SNAPSHOT (20120921-0008)
and Zanata version 1.8.0-SNAPSHOT (20120921-0015)

Note You need to log in before you can comment on or make changes to this bug.